﻿@model List<SSTC.Entity.Motion>
@{
    ViewBag.Title = "Wnioski";
}

<script src="https://code.jquery.com/jquery-1.12.4.min.js"></script>
<script>
    function showHideNewMotion() {
        // show hide paragraph on button click
        $("#newMotion").toggle("slow");
        $("#buttons").toggle("slow");
    }

    function dateChangeEvent() {
        var lal = document.getElementById("StartDate");
        var kak = document.getElementById("EndDate");
        var startDate = new Date(lal.value);
        var endDate = new Date(kak.value);
        var elapsed, daysBeforeFirstSaturday, daysAfterLastSunday;
        var ifThen = function (a, b, c) {
            return a == b ? c : a;
        };

        elapsed = endDate - startDate;
        elapsed /= 86400000;

        daysBeforeFirstSunday = (7 - startDate.getDay()) % 7;
        daysAfterLastSunday = endDate.getDay();

        elapsed -= (daysBeforeFirstSunday + daysAfterLastSunday);
        elapsed = (elapsed / 7) * 5;
        elapsed += ifThen(daysBeforeFirstSunday - 1, -1, 0) + ifThen(daysAfterLastSunday, 6, 5);
        document.getElementById("NumOfDays").value = elapsed;
    }

</script>

<h2>Wnioski o nieobecność</h2>
<h3>Twoja liczba dni dow wykorzystania: @TempData["NumOfDays"]</h3>
<input class="btn btn-primary btn-block" type="button" id="next" value="Dodaj nowy wniosek" onclick="showHideNewMotion()" />
<table class="table table-bordered table-condensed table-striped">
    <tr>
        <th><b>Początek urlopu: </b></th>
        <th><b>Koniec urlopu: </b></th>
        <th><b>Liczba dni: </b></th>
        <th><b>Status: </b></th>
        <th id="buttons" style="display:none"></th>
    </tr>

    <form class="form-signin" _lpchecked="1" method="post">
        <tr id="newMotion" style="display:none">

            <td>
                <span>@Html.TextBox("StartDate", 0, new { @class = "form-control", type = "date", @onchange = "dateChangeEvent();" })</span>
            </td>
            <td>
                <span>@Html.TextBox("EndDate", 0, new { @class = "form-control", type = "date", @onchange = "dateChangeEvent();" })</span>
            </td>
            <td>
                <span>@Html.TextBox("NumOfDays", 0, new { @class = "form-control", ReadOnly = "false" })</span>
            </td>
            <td></td>
            <td><input class="btn btn-primary btn-block" type="submit" value="Złóż" /></td>
        </tr>
    </form>
    @if (Model.Count != 0)
    {

        foreach (var item in Model)
        {
            <tr style="@(item.Status == 0 ? "background-color:yellow" : item.Status == 2 ? "background-color:greenyellow" : item.Status== 3 ? "background-color:green" : "background-color:OrangeRed")">

                <td>
                    <span>@item.StartDate</span>
                </td>
                <td>
                    <span>@item.EndDate</span>
                </td>
                <td>
                    <span>@item.NumOfDays</span>
                </td>
                <td>
                    <span>@Enum.ToObject(typeof(SSTC.Enum.Enums.MotionStatus), item.Status)</span>
                </td>
            </tr>
        }
    }


</table>
